Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface InternalFrameListener

All Known Implementing Classes:
  InternalFrameAdapter, BasicInternalFrameUI.BasicInternalFrameListener

public abstract interface InternalFrameListener
extends java.util.EventListener

The listener interface for receiving internal frame events. This class is functionally equivalent to the WindowListener class in the AWT.

See Writing a Window Listener in The Java Tutorial and The Java Class Libraries (update) for further documentation.

See Also:
  `WindowListener`

Method Summary
`void` | `internalFrameActivated(InternalFrameEvent e)` Invoked when an internal frame is activated.
`void` | `internalFrameClosed(InternalFrameEvent e)` Invoked when an internal frame has been closed.
`void` | `internalFrameClosing(InternalFrameEvent e)` Invoked when an internal frame is in the process of being closed.
`void` | `internalFrameDeactivated(InternalFrameEvent e)` Invoked when an internal frame is de-activated.
`void` | `internalFrameDeiconified(InternalFrameEvent e)` Invoked when an internal frame is de-iconified.
`void` | `internalFrameIconified(InternalFrameEvent e)` Invoked when an internal frame is iconified.
`void` | `internalFrameOpened(InternalFrameEvent e)` Invoked when a internal frame has been opened.

Method Detail

### internalFrameOpened

    public void internalFrameOpened(InternalFrameEvent e)

  Invoked when a internal frame has been opened.
  See Also:
    `JInternalFrame.show()`

### internalFrameClosing

    public void internalFrameClosing(InternalFrameEvent e)

  Invoked when an internal frame is in the process of being closed. The close operation can be overridden at this point.
  See Also:
    `JInternalFrame.setDefaultCloseOperation(int)`

### internalFrameClosed

    public void internalFrameClosed(InternalFrameEvent e)

  Invoked when an internal frame has been closed.
  See Also:
    `JInternalFrame.setClosed(boolean)`

### internalFrameIconified

    public void internalFrameIconified(InternalFrameEvent e)

  Invoked when an internal frame is iconified.
  See Also:
    `JInternalFrame.setIcon(boolean)`

### internalFrameDeiconified

    public void internalFrameDeiconified(InternalFrameEvent e)

  Invoked when an internal frame is de-iconified.
  See Also:
    `JInternalFrame.setIcon(boolean)`

### internalFrameActivated

    public void internalFrameActivated(InternalFrameEvent e)

  Invoked when an internal frame is activated.
  See Also:
    `JInternalFrame.setSelected(boolean)`

### internalFrameDeactivated

    public void internalFrameDeactivated(InternalFrameEvent e)

  Invoked when an internal frame is de-activated.
  See Also:
    `JInternalFrame.setSelected(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.